| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ChannelOriginatorMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, QDBusObjectPath >.

List of all members.

## Public Member Functions

- ChannelOriginatorMap ()
- ChannelOriginatorMap (const QMap< uint, QDBusObjectPath > &a)
- ChannelOriginatorMap & operator= (const QMap< uint, QDBusObjectPath > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QDBusObjectPath>, but needed to have a discrete type in the Qt type system.

A mapping from members of a conference to the original 1-1 channel with that contact, if any. See OriginalChannels for details.

## Constructor & Destructor Documentation

Tp::ChannelOriginatorMap::ChannelOriginatorMap | ( |  | ) | `[inline]`

Tp::ChannelOriginatorMap::ChannelOriginatorMap | ( | const QMap< uint, QDBusObjectPath > & | a | ) | `[inline]`

## Member Function Documentation

ChannelOriginatorMap& Tp::ChannelOriginatorMap::operator= | ( | const QMap< uint, QDBusObjectPath > & | a | ) | `[inline]`